Internal error after reinstalling redmin
Target version:

Resolution: Duplicate Affected version: 1.3.0
Description

Hi,

Recently | had to re-build my machine and therefore reinstall redmine. Now | am getting the following error, which | don't really
understand. Can anyone help?

Processing RepositoriesController#revision (for 66.249.71.38 at 2012-03-21 10:33:56) [GET]
Parameters: {"action"=>"revision", "rev"=>"184", "id"=>"saxon", "controller"=>"repositories"}

[[4:36:1mSQAL 04ms)rom  A[[0;1MSELECT max( settings'.updated_on) AS max_updated_on FROM “settings™ A[[0Om

ArgumentError (comparison of Time with String failed):

app/models/setting.rb:153:in “<='

app/models/setting.rb:153:in “check_cache'

app/controllers/application_controller.rb:62:in “user_setup'

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in "accept_and_process_next_request'
passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'
passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in “start_request_handler'
passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send'’

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spawn_application'
passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in “handle_spawn_application'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in*__send_ '

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in “start'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start'
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize’
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application'
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in*__send__'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.11) helper-scripts/passenger-spawn-server:99

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

Related issues:
Is duplicate of Redmine - Defect #7969: Redmine dosn't work with sqlite3-ruby... Closed 2011-03-23

History

#1 - 2012-03-22 20:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate
Same as #7969.
